# Wiki
Welcome to the InversifyJS wiki!

### Installation and environment support
- [Installation](https://github.com/inversify/InversifyJS/blob/master/wiki/installation.md)
- [Environment support and polyfills](https://github.com/inversify/InversifyJS/blob/master/wiki/environment.md)
- [Vanilla JavaScript example](https://github.com/inversify/InversifyJS/blob/master/wiki/basic_js_example.md)
- [ES5 and ES6 support](https://github.com/inversify/InversifyJS/blob/master/wiki/javascript.md)
- [Upgrade guide](https://github.com/inversify/InversifyJS/blob/master/wiki/upgrade.md)

### The InversifyJS Features and API
- [Support for classes](https://github.com/inversify/InversifyJS/blob/master/wiki/classes_as_id.md)
- [Support for Symbols](https://github.com/inversify/InversifyJS/blob/master/wiki/symbols_as_id.md)
- [Container API](https://github.com/inversify/InversifyJS/blob/master/wiki/container_api.md)
- [Declaring container modules](https://github.com/inversify/InversifyJS/blob/master/wiki/container_modules.md)
- [Container snapshots](https://github.com/inversify/InversifyJS/blob/master/wiki/container_snapshots.md)
- [Controlling the scope of the dependencies](https://github.com/inversify/InversifyJS/blob/master/wiki/scope.md)
- [Declaring optional dependencies](https://github.com/inversify/InversifyJS/blob/master/wiki/optional_dependencies.md)
- [Injecting a constant or dynamic value](https://github.com/inversify/InversifyJS/blob/master/wiki/value_injection.md)
- [Injecting a class constructor](https://github.com/inversify/InversifyJS/blob/master/wiki/constructor_injection.md)
- [Injecting a Factory](https://github.com/inversify/InversifyJS/blob/master/wiki/factory_injection.md)
- [Auto factory](https://github.com/inversify/InversifyJS/blob/master/wiki/auto_factory.md)
- [Injecting a Provider (asynchronous Factory)](https://github.com/inversify/InversifyJS/blob/master/wiki/provider_injection.md)
- [Activation handler](https://github.com/inversify/InversifyJS/blob/master/wiki/activation_handler.md)
- [Post Construct decorator](https://github.com/inversify/InversifyJS/blob/master/wiki/post_construct.md)
- [Middleware](https://github.com/inversify/InversifyJS/blob/master/wiki/middleware.md)
- [Multi-injection](https://github.com/inversify/InversifyJS/blob/master/wiki/multi_injection.md)
- [Tagged bindings](https://github.com/inversify/InversifyJS/blob/master/wiki/tagged_bindings.md)
- [Create your own tag decorators](https://github.com/inversify/InversifyJS/blob/master/wiki/custom_tag_decorators.md)
- [Named bindings](https://github.com/inversify/InversifyJS/blob/master/wiki/named_bindings.md)
- [Default target](https://github.com/inversify/InversifyJS/blob/master/wiki/default_targets.md)
- [Support for hierarchical DI systems](https://github.com/inversify/InversifyJS/blob/master/wiki/hierarchical_di.md)
- [Contextual bindings & @targetName](https://github.com/inversify/InversifyJS/blob/master/wiki/contextual_bindings.md)
- [Property injection](https://github.com/inversify/InversifyJS/blob/master/wiki/property_injection.md)
- [Circular dependencies](https://github.com/inversify/InversifyJS/blob/master/wiki/circular_dependencies.md)
- [Inheritance](https://github.com/inversify/InversifyJS/blob/master/wiki/inheritance.md)

### Other documents
- [Why InversifyJS?](https://github.com/inversify/InversifyJS/blob/master/wiki/purpose.md)
- [Object-oriented design](https://github.com/inversify/InversifyJS/blob/master/wiki/oo_design.md)
- [Good practices](https://github.com/inversify/InversifyJS/blob/master/wiki/good_practices.md)
- [Ecosystem](https://github.com/inversify/InversifyJS/blob/master/wiki/ecosystem.md)
- [Recipes](https://github.com/inversify/InversifyJS/blob/master/wiki/recipes.md)
- [Injecting npm modules](https://github.com/inversify/InversifyJS/blob/master/wiki/injecting_npm_modules.md)
- [Architecture overview](https://github.com/inversify/InversifyJS/blob/master/wiki/architecture.md)
- [Glossary](https://github.com/inversify/InversifyJS/blob/master/wiki/glossary.md)
- [Roadmap](https://github.com/inversify/InversifyJS/milestones)
